3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception("ex1"); } finally { try { throw new Exception("ex2"); } catch (Exception $e) { echo "caught exception in finally block: $e ....\n"; } echo "end of finally.\n"; } } try { foo(); echo "this should not get executed.\n"; } catch (Exception $e) { echo "caught exception from foo() call: $e ....\n"; }
based on Cqa9i
Output for 7.0.0 - 7.2.0
caught exception in finally block: Exception: ex2 in /in/b8gS4:8 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} .... end of finally. caught exception from foo() call: Exception: ex1 in /in/b8gS4:5 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} ....
Output for 5.6.7 - 5.6.28
caught exception in finally block: exception 'Exception' with message 'ex2' in /in/b8gS4:8 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} .... end of finally. caught exception from foo() call: exception 'Exception' with message 'ex1' in /in/b8gS4:5 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} ....
Output for 5.5.24 - 5.5.35
caught exception in finally block: exception 'Exception' with message 'ex1' in /in/b8gS4:5 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} Next exception 'Exception' with message 'ex2' in /in/b8gS4:8 Stack trace: #0 /in/b8gS4(17): foo() #1 {main} .... end of finally. this should not get executed.
Output for 5.4.2 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/b8gS4 on line 6
Process exited with code 255.
Output for 5.3.17 - 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/b8gS4 on line 6
Process exited with code 255.